Users API
Update user external ID
Update the external ID of a user. The external ID is the ID of the user in your system.
PUT
/
v2
/
session
/
apps
/
{appID}
/
users
/
{userID}
/
external_id
Update user external ID
curl --request PUT \
--url https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/external_id \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"external_id": "<string>"
}
'import requests
url = "https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/external_id"
payload = { "external_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({external_id: '<string>'})
};
fetch('https://api.prelude.dev/v2/session/apps/{appID}/users/{userID}/external_id', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "invalid_request",
"status": "bad_request",
"message": "<string>"
}{
"code": "session_disabled",
"status": "forbidden",
"message": "<string>"
}{
"code": "app_not_found",
"status": "not_found",
"message": "<string>"
}{
"code": "external_id_already_in_use",
"status": "conflict",
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the app the request refers to. An application's unique identifier.
Examples:
"54e9ujn"
"fvua38g"
The id of the user the request refers to. An app's user's unique identifier. It is prefixed with 'usr_'
Examples:
"usr_01jqebhswje1ka1z7ahr9rfsgt"
"usr_01jqy7455pf8p9bap5qke912g1"
Body
application/json
ID of the user in your system. Must be at most 128 characters.
Maximum string length:
128Example:
"customer-user-42"
Response
No Content
⌘I
Update user external ID
